#vdrwandlerac3.sh

#!/bin/sh

if [ "$3" = "-a" ]
  then
   Quelle=$1
   Avi=$2
   #echo "Quellordner:"
   #read -t 10 Quelle
   #echo "Ausgabedatei:"
   #read -t 10 Avi
   echo "Codec XviD oder Divx(Standard):"
   read -t 10 Codec
   echo "Bitrate:"
   read -t 10 Bitrate
  else
   Quelle=$1
   Avi=$2
   Codec=$3
   Bitrate=${4:-1500}
fi

echo "Quellorder:" $Quelle
echo "Ausgabedatei:" $Avi
echo "Codec:" $Codec
echo "Bitrate:" $Bitrate

if [ "$Quelle" = "*.mpg" ]

  then 
   echo "Die Quelldatei ist eine .mpg-Datei und wird direkt encodiert"
   Qmencoder=$Quelle 
  else  
   
   test -f vdrwandler.mpg  

   if [ "$?" = "0" ]

    then
     echo "Vorhandene Vdrwandler.mpg-Datei verwenden? (ja oder nein)"
     read -t 10 mpg
     if [ "$mpg" = "ja" ]
      then echo "Vorhandene Vdrwandler.mpg-Datei wird verwendet."
      else 
       test -f *.mpv

       if [ "$?" = "0" ]

        then
         echo "Vorhandene .mpv-Datei verwenden? (ja oder nein)"
         read -t 10 mpv
         if [ "$mpv" = "ja" ]
          then echo "Vorhandene .mpv-Datei wird verwendet."
          else 
	  vdrsync.pl $Quelle
	  mplex -v 0 -f 3 -o vdrwandler.mpg *.mpv *.ac3
         fi
        fi        
     fi   
    else 
    vdrsync.pl $Quelle
    mplex -v 0 -f 3 -o vdrwandler.mpg *.mpv *.ac3
   fi   

   echo "Sollen die Temponäre Dateien von Vdrsync.pl gelöscht werden? ja (Standard) oder nein."

   read -t 10 lvdrsync

   if [ "$lvdrsync" = "nein" ]
    then echo "Nichts wird gelöscht"
    else rm *.mpv *.mpa *.ac3
   fi
   
   Qmencoder=vdrwandler.mpg

fi   
rm frameno.avi

if [ "$Codec" = "xvid" ]

  then 
   echo "Starte Encodieren mit Mencoder und Xvid"

   mencoder $Qmencoder -ovc frameno -oac lavc -lavcopts acodec=ac3 -o frameno.avi
   mencoder $Qmencoder -vf scale=720:576 -ovc xvid -oac copy -xvidencopts pass=1:bitrate="$Bitrate":vhq=1:par=pal43:gmc:me_quality=4:aspect=4/3 -o $Avi               
   mencoder $Qmencoder -vf scale=720:576 -ovc xvid -oac copy -xvidencopts pass=2:bitrate="$Bitrate":vhq=1:par=pal43:gmc:me_quality=4:aspect=4/3 -o $Avi

  else 
   echo "Starte Encodieren mit Mencoder und Lavc"

   rm divx2pass.log   

   mencoder $Qmencoder -ovc frameno -oac lavc -lavcopts acodec=ac3 -o frameno.avi

   mencoder $Qmencoder -vf scale=720:576 -ffourcc DIVX -ovc lavc -oac copy -lavcopts vcodec=mpeg4:vme=4:me_range=1000:mbd=2:aspect=4/3:vbitrate="$Bitrate":vrc_eq=tex:vpass=1 -o $Avi

   mencoder $Qmencoder -vf scale=720:576 -ffourcc DIVX -ovc lavc -oac copy -lavcopts vcodec=mpeg4:vme=4:me_range=1000:mbd=2:aspect=4/3:vbitrate="$Bitrate":vrc_eq=tex:vpass=2 -o $Avi

   rm divx2pass.log

fi

echo "Encodieren beendet"

echo "Soll die temponäre Datei vdrwandler.mpg gelöscht werden? ja (Standard) oder nein"

read  -t 10 lvdrwandler

if [ "$lvdrwandler" = "nein" ]
  
  then echo "vdrwandler.mpg wird nicht gelöscht."  
  
  else rm vdrwandler.mpg

fi

rm frameno.avi

echo "-------------------Alle Aufgaben beendet--------------------"

#Verbesserungsvorschläge und Bugs gerne an linkonstl@yahoo.de
#13.September 2005
